// src/api/login.ts
import request from '../utils/request.ts'


let teacherPrefix = import.meta.env.VITE_API_TEACHER_PRE 


// 修改密码
export const changePassWord = (data: any) => {
  return request({
    url: `/adminApi/v1/sys/users/updatePassword`,
    method: 'post',
    data
  })
}


// 教师登录接口
export const login = (data:any) => {
  return request({
    url: `${teacherPrefix}/api/v1/teach_login/sign_in`,
    method: 'post',
    data
  })
}
// 获取教师用户信息
export const getUserInfo = () => {
  return request({
    url: `${teacherPrefix}/api/v1/pc_personal/find_user_info`,
    method: 'get'
  })
}
// 教师端退出登录
export const loginOut = (data: any) => {
  return request({
    url: `${teacherPrefix}/api/v1/teach_login/sign_out`,
    method: 'post',
    data
  })
}

